#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_YIELD)]
fn sys_yield() -> isize {
    0
}

#[syscall(SYSNR_SLEEP)]
fn sys_sleep(duration: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_EXIT)]
fn sys_exit(code: i32, flags: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_TASK_SELF)]
fn sys_task_self() -> isize {
    ERR_NOSYS
}
